package xyz.tbvns.rogue_block.Upgrades.RegisteredUpgrades;

import net.minecraft.entity.effect.StatusEffectInstance;
import net.minecraft.entity.effect.StatusEffects;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.server.network.ServerPlayerEntity;
import xyz.tbvns.rogue_block.Upgrades.PassiveUpgrade;
import xyz.tbvns.rogue_block.Upgrades.UpgradeRarity;

public class RegenUpgrade3 implements PassiveUpgrade {
    @Override
    public int getCost() {
        return 10;
    }

    @Override
    public void executeOnStart(ServerPlayerEntity player) {
        player.addStatusEffect(new StatusEffectInstance(StatusEffects.REGENERATION, StatusEffectInstance.INFINITE));
    }

    @Override
    public String getName() {
        return "Regeneration 3";
    }

    @Override
    public String getDesc() {
        return "Provide you with a constant regeneration 3 effect";
    }

    @Override
    public int[] getGuiPos() {
        return new int[]{50, 150};
    }

    @Override
    public ItemStack itemDisplay() {
        return Items.POTION.getDefaultStack();
    }

    @Override
    public UpgradeRarity getRarity() {
        return UpgradeRarity.rare;
    }

    @Override
    public Class getParent() {
        return RegenUpgrade.class;
    }
}
